#model:Class.py
"""
module
---------------------------------------------------

description

"""
from atom import *
from dataModel import *
from IoNode import *
import time
from .base import *
from .cell import *


#=====================================================================

class Organ_Input(Cell):

#=====================================================================
    pass

#=====================================================================

class Organ_Output(Cell):

#=====================================================================
    pass

#=====================================================================

class Organ(Body_Base):

#=====================================================================
    #----------------------------------------------------------------

    def onSetupX(self):
        input_node=Cell_Broadcast(parent=self,name="input")
        output_node=Cell_Broadcast(parent=self,name="output")



    #----------------------------------------------------------------

    def onDo(self):
        pass#print(self.path(),self.is_running())
    #----------------------------------------------------------------
#=====================================================================

